### org.jfree.layouting.input.style.keys.hyperlinks

# Class HyperlinkStyleKeys

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.hyperlinks.HyperlinkStyleKeys`

`public class HyperlinkStyleKeys`
`extends java.lang.Object`

Creation-Date: 24.11.2005, 17:25:02

Author:
  Thomas Morgner

  ## Field Summary

  `static StyleKey`

  `ANCHOR`
    todo: implement me This is a libLayout extension to allow a document independent anchor specifications.

  `static StyleKey`

  `HREF_TARGET`
    todo: implement me This is a libLayout extension to allow a document independent link specification.

  `static StyleKey`

  `TARGET_NAME`

  `static StyleKey`

  `TARGET_NEW`

  `static StyleKey`

  `TARGET_POSITION`

## Field Details

### ANCHOR

    public static final StyleKey ANCHOR

> todo: implement me This is a libLayout extension to allow a document independent anchor specifications. It is up to the output target to support that. Example style definition: a { x-href-anchor: attr("name"); }

### HREF_TARGET

    public static final StyleKey HREF_TARGET

> todo: implement me This is a libLayout extension to allow a document independent link specification. It is up to the output target to support that. Example style definition: a { x-href-target: attr("href"); }

### TARGET_NAME

    public static final StyleKey TARGET_NAME

### TARGET_NEW

    public static final StyleKey TARGET_NEW

### TARGET_POSITION

    public static final StyleKey TARGET_POSITION